25th Feb, 2014

What do POS Vendors need to know about the end of support for Windows XP?

Does your POS run on Windows XP? Microsoft has issued an End of Support notice for Windows XP which means automatic fixes, updates and online technical assistance will no longer be available.

This is important for POS Vendors because PCI DSS Requirement 6.1. requires that merchants: "Ensure that all system components and software are protected from known vulnerabilities by having the latest vendor-supplied security patches installed. Install critical security patches within one month of release"

At this point in time, EFTPOS New Zealand will continue to support customer environments utilising Windows XP however we also recommend that all PC EFTPOS customers upgrade to the most recent version of PC EFTPOS, version 6.2 as soon as possible. PC EFTPOS version 6.2 has been developed based on PA-DSS standards and uses Triple DES / RSA encryption which means that transaction data remains encrypted, as per PCI requirements.

Read more about the End of Support notice here.

Share this: